# Mediaserveraction

| Branch        | Pipeline          | Code coverage  |  Latest tag  |
| ------------- |:-----------------:|:--------------:| ------------:|
| main       | [![pipeline status](https://gitlab.switch.ch/ub-unibas/mediaserver/mediaserveraction/badges/main/pipeline.svg)](https://gitlab.switch.ch/ub-unibas/mediaserver/mediaserveraction/-/commits/main)  | [![coverage report](https://gitlab.switch.ch/ub-unibas/mediaserver/mediaserveraction/badges/main/coverage.svg)](https://gitlab.switch.ch/ub-unibas/mediaserver/mediaserveraction/-/commits/main) | [latest tag](https://gitlab.switch.ch/ub-unibas/mediaserver/mediaserveraction/-/tags)

## Description
Microservice that dispatches actions to different services

## Usage


### Configuration 
Update mediaserveraction.yml or mediaserveraction.toml file with the port you want to run in it
### Launch local
- launch with mediaserveraction.toml file at root directory 
```
go run ./cmd/action

```
- launch with specific config file
```
go run ./cmd/action -config config_file_path
```
### Docker
if there is a docker build

## Support
Please contact Jürgen Enge or Paul Nguyen

## Authors and acknowledgment
Jürgen Enge

## Project status
Development

## Dependencies

### Internal
- [miniresolver](https://gitlab.switch.ch/ub-unibas/cloudservices/miniresolver) resolve all microservices
- [go-ubloger](https://gitlab.switch.ch/ub-unibas/go-ublogger) logger for stdout, file and stash
- [genericproto](https://go.ub.unibas.ch/cloud/genericproto) generic protos used 
- [mediaserverproto](https://go.ub.unibas.ch/mediaserver/mediaserverproto) specific protos used for mediaserver 
### External
- [trustutil](https://github.com/je4/trustutil) trust utilities used (TLS ....)
- [utils](https://github.com/je4/utils) utilities used

## Test 
Currently no tests
### to run unit-test :  
```
go test -v ./... -short -coverprofile=coverage.out && go tool cover -html=coverage.out
```
### to run Integrated-tests :  

```
go test . -v -run ".Integration" -coverprofile=coverage.out && go tool cover -html=coverage.out
```


## Code coverage
https://ub-unibas.pages.switch.ch/mediaserver/mediaserveraction/coverage-report.html


## Content
